List Shipping Rates
The “List Shipping Rate” API allows to retrieve a list of shipping rate.
GET
/
store
/
shipping-zone
/
{shippingZoneId}
/
shipping-rate
List Shipping Rates
curl --request GET \
--url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rateconst options = {method: 'GET'};
fetch('https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate"
response = requests.get(url)
print(response.text){
"total": 20,
"data": [
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
List Shipping Rates
curl --request GET \
--url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rateconst options = {method: 'GET'};
fetch('https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate"
response = requests.get(url)
print(response.text){
"total": 20,
"data": [
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}